Results 1 to 2 of 2

Thread: hamster-applet not working

  1. #1

    Question hamster-applet not working

    Hi,

    I installed openSuse 11.1 with Gnome 2.24.1 and I'm trying to use the new Time Tracking applet of Gnome.

    The name of the package is hamster-applet. It is a tool to control your productivity during the time, and by the Gnome website seems very nice.

    But I cannot make it work for me.
    I got the error:

    error OAFIID:Hamster_Applet when I try to put it on the pannel.

    Someone know how to fix it? Same problem?

  2. #2

    Lightbulb Re: hamster-applet not working

    I'm trying to solve the problem.
    After the first error I try to install the last version with SVN.

    Everytime I receive an error, because there is something missing.
    So I installed subversion, gnome-common, autoconf, automake, libtool, glib-gettext, intltool.

    Now I get the following:

    Code:
    Copying file mkinstalldirs
    Copying file po/Makefile.in.in
    
    Please add the files
    codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
    progtest.m4
    from the /usr/share/aclocal directory to your autoconf macro directory
    or directly to your aclocal.m4 file.
    You will also need config.guess and config.sub, which you can get from
    ftp://ftp.gnu.org/pub/gnu/config/.
    
    Running intltoolize
    Running aclocal-1.10
    configure.ac:37: warning: macro `AM_GCONF_SOURCE_2′ not found in library
    Running autoconf
    configure.ac:37: error: possibly undefined macro: AM_GCONF_SOURCE_2
    If this token and others are legitimate, please use m4_pattern_allow.
    See the Autoconf documentation.
    I move these files to the proper folder:
    codeset.m4 | gettext.m4 | glibc21.m4 | iconv.m4 | lcmessage.m4 | progtest.m4 config.guess | config.sub

    But I didnt manage to find isc-posix.m4. And I guess the autoconf macro directory is /usr/share/autoconf.

    Then, about the AM_GCONF_SOURCE_2 error, forums sad that I have to install libgconf2-dev, which also doesnt exist for opensuse.
    So I install libconfuse-devel (old libcfg).
    But still the same error.

    Someone have this Time Tracking program of Gnome working? In any version of openSuse?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •